VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Ovf::OvfWarning Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Ovf::OvfWarning:

## Avaliable Methods
public method | set_category ()
public method | set_message ()
public method | set_name ()
public method | get_value ()
public method | set_issues ()
public method | set_error ()
public method | get_category ()
public method | set_value ()
public method | get_error ()
public method | get_message ()
public method | new ()
public method | get_issues ()
public method | get_name ()

## Detailed Description

The `Com::Vmware::Vcenter::Ovf::OvfWarning` class describes a warning related to accessing, validating, deploying, or exporting an OVF package.

## Member Function Documentation

public method Com::Vmware::Vcenter::Ovf::OvfWarning::get_category | ( |  | ) |

Gets the value of 'category' property.

Return values

  category | - The current value of the field. The message category. Category#

Code:
click to view
# Number of lines of code in get_category: 4
sub get_category {
my ($self, %args) = @_;
return $self->{'category'};
}

public method Com::Vmware::Vcenter::Ovf::OvfWarning::get_error | ( |  | ) |

Gets the value of 'error' property.

Return values

  error | - The current value of the field. Represents a server class Com::Vmware::Vapi::Std::Errors::Error . optional#

Code:
click to view
# Number of lines of code in get_error: 4
sub get_error {
my ($self, %args) = @_;
return $self->{'error'};
}

public method Com::Vmware::Vcenter::Ovf::OvfWarning::get_issues | ( |  | ) |

Gets the value of 'issues' property.

Return values

  issues | - The current value of the field. List* of parse issues (see class Com::Vmware::Vcenter::Ovf::ParseIssue ). optional#

Code:
click to view
# Number of lines of code in get_issues: 4
sub get_issues {
my ($self, %args) = @_;
return $self->{'issues'};
}

public method Com::Vmware::Vcenter::Ovf::OvfWarning::get_message | ( |  | ) |

Gets the value of 'message' property.

Return values

  message | - The current value of the field. A localizable message. optional#

Code:
click to view
# Number of lines of code in get_message: 4
sub get_message {
my ($self, %args) = @_;
return $self->{'message'};
}

public method Com::Vmware::Vcenter::Ovf::OvfWarning::get_name | ( |  | ) |

Gets the value of 'name' property.

Return values

  name | - The current value of the field. The name of input parameter. optional#

Code:
click to view
# Number of lines of code in get_name: 4
sub get_name {
my ($self, %args) = @_;
return $self->{'name'};
}

public method Com::Vmware::Vcenter::Ovf::OvfWarning::get_value | ( |  | ) |

Gets the value of 'value' property.

Return values

  value | - The current value of the field. The value of input parameter. optional#

Code:
click to view
# Number of lines of code in get_value: 4
sub get_value {
my ($self, %args) = @_;
return $self->{'value'};
}

public method Com::Vmware::Vcenter::Ovf::OvfWarning::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Ovf::OvfWarning structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 35
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
$validatorList = [
new Com::Vmware::Vapi::Data::UnionValidator(
'discriminant_name' => 'category',
'case_map' => {
'VALIDATION' => ['issues'],
'INPUT' => ['name', 'value', 'message'],
'SERVER' => ['error'],
}),
];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{category} = $args{'category'};
$self->{issues} = $args{'issues'};
$self->{name} = $args{'name'};
$self->{value} = $args{'value'};
$self->{message} = $args{'message'};
$self->{error} = $args{'error'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Ovf::OvfWarning');
$self->set_binding_name('name' => 'com.vmware.vcenter.ovf.ovf_warning');
$self->set_binding_field('key' => 'category', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Ovf', 'type_name' => 'OvfMessage::Category'));
$self->set_binding_field('key' => 'issues', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Ovf', 'type_name' => 'ParseIssue'))));
$self->set_binding_field('key' => 'name', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'value', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'message', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Std', 'type_name' => 'LocalizableMessage')));
$self->set_binding_field('key' => 'error', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::DynamicStructType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Ovf::OvfWarning::set_category | ( |  | ) |

Sets the given value for 'category' property.

Parameters

  category | - New value for the field. The message category.

Code:
click to view
# Number of lines of code in set_category: 5
sub set_category {
my ($self, %args) = @_;
$self->{'category'} = $args{'category'};
return;
}

public method Com::Vmware::Vcenter::Ovf::OvfWarning::set_error | ( |  | ) |

Sets the given value for 'error' property.

Parameters

  error | - New value for the field. Represents a server class Com::Vmware::Vapi::Std::Errors::Error .

Code:
click to view
# Number of lines of code in set_error: 5
sub set_error {
my ($self, %args) = @_;
$self->{'error'} = $args{'error'};
return;
}

public method Com::Vmware::Vcenter::Ovf::OvfWarning::set_issues | ( |  | ) |

Sets the given value for 'issues' property.

Parameters

  issues | - New value for the field. List* of parse issues (see class Com::Vmware::Vcenter::Ovf::ParseIssue ).

Code:
click to view
# Number of lines of code in set_issues: 5
sub set_issues {
my ($self, %args) = @_;
$self->{'issues'} = $args{'issues'};
return;
}

public method Com::Vmware::Vcenter::Ovf::OvfWarning::set_message | ( |  | ) |

Sets the given value for 'message' property.

Parameters

  message | - New value for the field. A localizable message.

Code:
click to view
# Number of lines of code in set_message: 5
sub set_message {
my ($self, %args) = @_;
$self->{'message'} = $args{'message'};
return;
}

public method Com::Vmware::Vcenter::Ovf::OvfWarning::set_name | ( |  | ) |

Sets the given value for 'name' property.

Parameters

  name | - New value for the field. The name of input parameter.

Code:
click to view
# Number of lines of code in set_name: 5
sub set_name {
my ($self, %args) = @_;
$self->{'name'} = $args{'name'};
return;
}

public method Com::Vmware::Vcenter::Ovf::OvfWarning::set_value | ( |  | ) |

Sets the given value for 'value' property.

Parameters

  value | - New value for the field. The value of input parameter.

Code:
click to view
# Number of lines of code in set_value: 5
sub set_value {
my ($self, %args) = @_;
$self->{'value'} = $args{'value'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Ovf/OvfWarning.pm